{{ ansible_managed | comment }}

[Unit]
Description=Process Exporter for Prometheus
After=network-online.target
StartLimitInterval=0

[Service]
Type=simple
User={{ process_exporter_system_user }}
Group={{ process_exporter_system_group }}
ExecStart={{ process_exporter_install_directory }}/{{ process_exporter_name }} \
{% if process_exporter_names != "" -%}
	--config.path {{ process_exporter_install_directory }}/config.yml \
{% endif -%}
{% if process_exporter_threads -%}
        -threads=false \
{% endif -%}
{% if process_exporter_gather_smaps -%}
        -gather-smaps=false \
{% endif -%}
	--web.listen-address={{ process_exporter_listen_address }}

SyslogIdentifier=process_exporter
Restart=always
RestartSec=1

[Install]
WantedBy=multi-user.target
